Loading...
Searching...
No Matches
Halide::Runtime::Internal::BlockStorage::Config Struct Reference

`#include <block_storage.h>`

## Public Attributes

uint32_t | entry_size = 1
uint32_t | block_size = 32
uint32_t | minimum_capacity = default_capacity

## Detailed Description

Definition at line 23 of file block_storage.h.

## Member Data Documentation

## entry_size

uint32_t Halide::Runtime::Internal::BlockStorage::Config::entry_size = 1

Definition at line 24 of file block_storage.h.

Referenced by Halide::Runtime::Internal::BlockStorage::operator==().

## block_size

uint32_t Halide::Runtime::Internal::BlockStorage::Config::block_size = 32

Definition at line 25 of file block_storage.h.

## minimum_capacity

uint32_t Halide::Runtime::Internal::BlockStorage::Config::minimum_capacity = default_capacity

Definition at line 26 of file block_storage.h.

The documentation for this struct was generated from the following file:

- src/runtime/internal/block_storage.h